Loading...
Searching...
No Matches
gsm_23_003.h File Reference

Go to the source code of this file.

## Macros

#define | GSM23003_IMSI_MAX_DIGITS 15
#define | GSM23003_IMSI_MIN_DIGITS 6
#define | OSMO_IMSI_BUF_SIZE (GSM23003_IMSI_MAX_DIGITS+2)
| The char[] buffer size to completely contain an IMSI including the optional checksum digit as well as the terminating nul character.
#define | GSM23003_TMSI_NUM_BYTES 4
#define | GSM23003_TMSI_SGSN_MASK 0xC0000000UL
#define | GSM23003_LMSI_NUM_BYTES 4
#define | GSM23003_TLLI_NUM_BYTES 4
#define | GSM23003_PTMSI_SIG_NUM_BYTES 3
#define | GSM23003_MME_CODE_NUM_BYTES 1
#define | GSM23003_MME_GROUP_NUM_BYTES 2
#define | GSM23003_MTMSI_NUM_BYTES 4
#define | GSM23003_MSISDN_MAX_DIGITS 15 /* ITU-T Rec. E.164 6.1 */
#define | GSM23003_MSISDN_MIN_DIGITS 1
#define | GSM23003_IMEI_TAC_NUM_DIGITS 8
#define | GSM23003_IMEI_SNR_NUM_DIGITS 6
#define | GSM23003_IMEI_NUM_DIGITS
#define | GSM23003_IMEISV_NUM_DIGITS
#define | GSM23003_IMEI_NUM_DIGITS_NO_CHK
#define | GSM23003_HOME_NETWORK_DOMAIN_LEN 33
#define | GSM23003_MME_DOMAIN_LEN 55

## Macro Definition Documentation

## GSM23003_HOME_NETWORK_DOMAIN_LEN

#define GSM23003_HOME_NETWORK_DOMAIN_LEN 33

Referenced by osmo_gen_mme_domain(), and osmo_gen_mme_group_domain().

## GSM23003_IMEI_NUM_DIGITS

#define GSM23003_IMEI_NUM_DIGITS

Value:
(GSM23003_IMEI_TAC_NUM_DIGITS + \
GSM23003_IMEI_SNR_NUM_DIGITS + 1)
GSM23003_IMEI_TAC_NUM_DIGITS
#define GSM23003_IMEI_TAC_NUM_DIGITS
Definition gsm_23_003.h:28
GSM23003_IMEI_SNR_NUM_DIGITS
#define GSM23003_IMEI_SNR_NUM_DIGITS
Definition gsm_23_003.h:29

Referenced by osmo_mobile_identity_decode(), and osmo_mobile_identity_encoded_len().

## GSM23003_IMEI_NUM_DIGITS_NO_CHK

#define GSM23003_IMEI_NUM_DIGITS_NO_CHK

Value:
(GSM23003_IMEI_TAC_NUM_DIGITS + \
GSM23003_IMEI_SNR_NUM_DIGITS)

Referenced by osmo_mobile_identity_decode(), and osmo_mobile_identity_encoded_len().

## GSM23003_IMEI_SNR_NUM_DIGITS

#define GSM23003_IMEI_SNR_NUM_DIGITS 6

## GSM23003_IMEI_TAC_NUM_DIGITS

#define GSM23003_IMEI_TAC_NUM_DIGITS 8

## GSM23003_IMEISV_NUM_DIGITS

#define GSM23003_IMEISV_NUM_DIGITS

Value:
(GSM23003_IMEI_TAC_NUM_DIGITS + \
GSM23003_IMEI_SNR_NUM_DIGITS + 2)

Referenced by osmo_mobile_identity_decode(), and osmo_mobile_identity_encoded_len().

## GSM23003_IMSI_MAX_DIGITS

#define GSM23003_IMSI_MAX_DIGITS 15

Referenced by osmo_imsi_str_valid(), osmo_mobile_identity_decode(), and osmo_mobile_identity_encoded_len().

## GSM23003_IMSI_MIN_DIGITS

#define GSM23003_IMSI_MIN_DIGITS 6

Referenced by osmo_imsi_str_valid(), and osmo_mobile_identity_encoded_len().

## GSM23003_LMSI_NUM_BYTES

#define GSM23003_LMSI_NUM_BYTES 4

## GSM23003_MME_CODE_NUM_BYTES

#define GSM23003_MME_CODE_NUM_BYTES 1

## GSM23003_MME_DOMAIN_LEN

#define GSM23003_MME_DOMAIN_LEN 55

## GSM23003_MME_GROUP_NUM_BYTES

#define GSM23003_MME_GROUP_NUM_BYTES 2

## GSM23003_MSISDN_MAX_DIGITS

#define GSM23003_MSISDN_MAX_DIGITS 15 /* ITU-T Rec. E.164 6.1 */

Referenced by osmo_msisdn_str_valid().

## GSM23003_MSISDN_MIN_DIGITS

#define GSM23003_MSISDN_MIN_DIGITS 1

Referenced by osmo_msisdn_str_valid().

## GSM23003_MTMSI_NUM_BYTES

#define GSM23003_MTMSI_NUM_BYTES 4

## GSM23003_PTMSI_SIG_NUM_BYTES

#define GSM23003_PTMSI_SIG_NUM_BYTES 3

## GSM23003_TLLI_NUM_BYTES

#define GSM23003_TLLI_NUM_BYTES 4

## GSM23003_TMSI_NUM_BYTES

#define GSM23003_TMSI_NUM_BYTES 4

Referenced by osmo_mobile_identity_encoded_len().

## GSM23003_TMSI_SGSN_MASK

#define GSM23003_TMSI_SGSN_MASK 0xC0000000UL

## OSMO_IMSI_BUF_SIZE

#define OSMO_IMSI_BUF_SIZE (GSM23003_IMSI_MAX_DIGITS+2)

The char[] buffer size to completely contain an IMSI including the optional checksum digit as well as the terminating nul character.